Tune Levenberg-Marquard optimizer
Status: Closed Start date: 07/13/2012

Priority: High Due date:  

Assigned To: Knödlseder Jürgen % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 1.0.0   

Description

The actual Levenberg-Marquard optimizer needs still some tuning.

For example, sometimes the optimizer stalls for many iteration, and finally stops with the same values it had at the beginning of the

stall. This is not very CPU efficient. The algorithm has to be studied to better understand where these stalls come from.

Maybe related to this, the gradients are actually not used in the stopping criterion, but sometimes, gradients become very small, and

the algorithm will start to oscillate around the minimum due to numerical fluctuations. This could be prevented by stopping once the

gradients are below a certain threshold. Alternatively, one could set small gradients to zero to avoid fluctuations of the algorithm due

to these gradients.

A study should therefore be conducted that leads to a better understanding of the numerical properties of the Levenberg-Marquard

optimizer.

Related issues:

Related to ctools - Bug # 1074: Optimizer does not converge for parameters cl... Closed 01/09/2014

History

#1 - 09/14/2012 11:39 PM - Knödlseder Jürgen

- Target version set to 00-07-00

#2 - 12/04/2012 11:05 PM - Knödlseder Jürgen

- Target version deleted (00-07-00)

#3 - 07/11/2014 04:14 PM - Knödlseder Jürgen

- Target version set to 1.0.0

#4 - 10/31/2014 04:28 PM - Knödlseder Jürgen

- Status changed from New to In Progress

- Assigned To set to Knödlseder Jürgen

- Priority changed from Normal to High

- % Done changed from 0 to 80

Some progress was done by improving the response computation (effectively helping the convergence) and by allow for a small log-likelihood

decrease (see #1074). It needs now to be seen whether problems of convergence still occur or whether this has now been solved.

#5 - 06/29/2015 10:01 PM - Knödlseder Jürgen

Unless anything new comes up during testing, I'd propose to close that one.

#6 - 07/02/2015 06:13 PM - Knödlseder Jürgen

- Status changed from In Progress to Closed

- % Done changed from 80 to 100
